Bug 1942141 - [4.7] cinder storageclass creates persistent volumes with wrong label failure-domain.beta.kubernetes.io/zone in multi availability zones architecture on OSP 16.
Summary: [4.7] cinder storageclass creates persistent volumes with wrong label failure...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.7.z
Assignee: Hemant Kumar
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1941000
Blocks: 1942146
TreeView+ depends on / blocked
 
Reported: 2021-03-23 18:20 UTC by Hemant Kumar
Modified: 2021-05-24 17:15 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1941000
: 1942146 (view as bug list)
Environment:
Last Closed: 2021-05-24 17:14:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 635 0 None open Bug 1942141: fixes cinder PV labelling 2021-05-11 15:51:39 UTC
Red Hat Product Errata RHSA-2021:1561 0 None None None 2021-05-24 17:15:10 UTC

Comment 4 Wei Duan 2021-05-19 15:06:19 UTC
I verified following scenarios without setting the region on 4.7.0-0.nightly-2021-05-17-040457, and do some storage basic test and passed.   

* OpenStack where nodes and storage both have a single availability zone (AZ) (typically "nova"). 
* OpenStack where nodes have multi AZ, but name of the AZ for nodes ("AZ-1/AZ-2/AZ-3") is different that name of the AZ for storage (say "nova").

We don't have the env that nodes and storage both have multi AZ and have the same name.

Comment 6 errata-xmlrpc 2021-05-24 17:14:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1561


Note You need to log in before you can comment on or make changes to this bug.